package com.kym.service.miniapp;

import com.kym.entity.miniapp.WashDevice;
import com.kym.entity.miniapp.WashOrder;
import com.kym.entity.miniapp.queryParams.DeviceQueryParams;
import com.kym.entity.miniapp.vo.WashDeviceVo;
import com.kym.service.mybatisplus.MyBaseService;

import java.util.List;

/**
 * <p>
 * 洗车设备表 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-10-09
 */
public interface WashDeviceService extends MyBaseService<WashDevice> {

    WashDevice getDevice(String shortId);

    String startDevice(String shortId);

    void stopDevice(String shortId);

    List<WashDeviceVo> listWashDevice(DeviceQueryParams params);
}
